<div id="orders" class="page-layout carded fullwidth" fusePerfectScrollbar>

  <!-- TOP BACKGROUND -->
  <div class="top-bg {{secondColorBrand}}"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

      <!-- HEADER -->
      <div class="header white-fg"
           fxLayout="column" fxLayoutAlign="center center"
           fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">

          <!-- APP TITLE -->
          <div class="logo"
               fxLayout="row" fxLayoutAlign="start center">
              <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">shopping_cart</mat-icon>
              <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Compras</span>
          </div>
          <!-- / APP TITLE -->

          <!-- SEARCH -->
          <div class="search-input-wrapper ml-8 m-sm-0"
               fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
              <label for="search" class="mr-8">
                  <mat-icon class="secondary-text">search</mat-icon>
              </label>
              <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                  <input id="search" matInput (keyup)='searchOnChange($event)' placeholder="Pesquisar">
              </mat-form-field>
          </div>
          <!-- / SEARCH -->

          <button type="button" mat-raised-button color="primary"  [ngClass]="primaryColorBrand"  mat-button [routerLink]="['offers']">NOVA COMPRA</button>

      </div>
      <!-- / HEADER -->

      <!-- CONTENT CARD -->
      <div class="content-card mat-white-bg">

          <mat-table class="orders-table"
                     #table [dataSource]="dataSource"
                     [@animateStagger]="{value:'50'}"
                     fusePerfectScrollbar
                     matSort matSortActive="lifecycle.createDate" matSortDirection="desc" matSortDisableClear>


            <ng-container cdkColumnDef="statusColor">
                    <mat-header-cell *cdkHeaderCellDef  class="white-fg"></mat-header-cell>
                    <mat-cell *cdkCellDef="let element" [ngClass]="purchaseColorStatusEnumToString(element.status)">
                        
                    </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="space">
                    <mat-header-cell *cdkHeaderCellDef  class="white-fg"></mat-header-cell>
                    <mat-cell *cdkCellDef="let element" >
                            
                    </mat-cell>
            </ng-container>
        

            <ng-container cdkColumnDef="id">
                <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">#Compra</mat-header-cell>
                <mat-cell *cdkCellDef="let element">
                    <p class="text-truncate">{{element.id}}</p>
                </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="lifecycle.createDate">
                <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Data Compra</mat-header-cell>
                <mat-cell *cdkCellDef="let element">
                    <p class="text-truncate">{{element.lifecycle?.createDate | date: 'short'}}</p>
                </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="accession">
                <mat-header-cell *cdkHeaderCellDef mat-sort-header fxHide fxShow.gt-md class="white-fg">Valor da Entrada</mat-header-cell>
                <mat-cell *cdkCellDef="let element" fxHide fxShow.gt-md>
                    <p class="text-truncate">{{element.accession ? (element.accession | currency: 'BRL') : '-'}}</p>
                </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="total">
                <mat-header-cell *cdkHeaderCellDef mat-sort-header fxHide fxShow.gt-md class="white-fg">Valor Total</mat-header-cell>
                <mat-cell *cdkCellDef="let element" fxHide fxShow.gt-md>
                    <p class="text-truncate">{{element.total | currency: 'BRL'}}</p>
                </mat-cell>
            </ng-container>

            <ng-container cdkColumnDef="status">
                    <mat-header-cell *cdkHeaderCellDef mat-sort-header style="text-align: center" class="white-fg">Status</mat-header-cell>
                    
                    <mat-cell *cdkCellDef="let element" style="text-align: center" >
                            <mat-chip-list>
                                    <mat-chip [ngClass]="purchaseColorStatusLightEnumToString(element.status)" style="width:80px; text-align: center;" selected> {{ purchaseStatusEnumToString(element.status)}}</mat-chip>
                            </mat-chip-list>
                    </mat-cell>
            </ng-container>  

            <mat-header-row *cdkHeaderRowDef="displayedColumns" [ngClass]="primaryColorBrand"></mat-header-row>

            <mat-row *cdkRowDef="let row; columns: displayedColumns;"
                    class="order"
                    matRipple
                    (click)="viewDetails(row)">
            </mat-row>
          </mat-table>

          <mat-paginator 
            [length]="resultLength" 
            [pageSize]="10" 
            [pageSizeOptions]="[10, 25, 50]"></mat-paginator>

      </div>
      <!-- / CONTENT CARD -->
  </div>
  <!-- / CENTER -->
</div>
